%define name kdict
%define version 0.5
%define release 3mdk

Summary: 	A graphical client for the DICT protocol
Name: 		%name
Version: 	%version
Release: 	%release

License: 	Artistic
Url: 		http://www.rhrk.uni-kl.de/~gebauerc/kdict/
Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}-48.xpm.bz2
Source2: 	%{name}-32.xpm.bz2
Source3: 	%{name}-16.xpm.bz2
Group: 		File tools
BuildRoot: 	%_tmppath/%name-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf diffutils file m4 texinfo gettext libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ kdelibs libbinutils2 libbzip2_1 openssl db1 freetype2 libjpeg62
BuildRequires:  libmng1 libpng2 libqt2 libstdc++2.10 libqt2-devel rpm-build

%description
Kdict is a graphical client for the DICT Protocol. It enables you to search through dictionary-like databases for a word or phrase, then displays suitable definitions. Kdict trys to ease basic as well as advanced queries. A separate list offers a convenient way to deal with the enormous number of matching words that a advanced query can return. The remainder of Kdict's user interface resembles a web browser: For instance, you can jump to the definition of a synonym by simply clicking on the highlighted word. The back/forward functionality is also implemented, enabling you to quickly go back to the result of previous queries.
    
%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q

%build

./configure --prefix=%_prefix --bindir=%_bindir --with-qt-dir=%_libdir/qt2 \
	--mandir=%_mandir --datadir=%_datadir --disable-rpath --disable-debug --enable-final

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
#rm -rf $RPM_BUILD_ROOT%_datadir/applnk

mkdir -p $RPM_BUILD_ROOT%_datadir/doc/HTML/en/%{name}
mv $RPM_BUILD_ROOT%_datadir/*.html $RPM_BUILD_ROOT%_datadir/doc/HTML/en/%{name}/
mv $RPM_BUILD_ROOT%_datadir/*.gif $RPM_BUILD_ROOT%_datadir/doc/HTML/en/%{name}/


(mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}" \
needs="x11" \
icon="%{name}.xpm" \
section="Office" \
title="KDict" \
longtitle="A graphical client for the DICT protocol"
EOF
)

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%_bindir/%{name}
%_menudir/*
%_datadir/doc/HTML/en/%{name}/
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%_datadir/apps/kdict/*
%_libdir/libkdictapplet.*
%_datadir/apps/kicker/applets/kdictapplet.desktop


%defattr(-,root,root,0755)

%changelog
* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-3mdk
- Add build requires and clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5-2mdk
- Rebuild against Qt 2.3.0

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- updated by Blaise Tramier <meles@linux-mandrake.com>
	- upgrade to 0.5

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- used srpm from Blaise Tramier <meles@linux-mandrake.com> :
	- First Mandrake rpm.
	- Modified HTML help files location to /usr/share/doc/HTML/en/kdict
